export declare enum EnumRecordType {
    unknown = "unknown",
    far = "FAR",
    atr = "ATR",
    mir = "MIR",
    mrr = "MRR",
    pcr = "PCR",
    hbr = "HBR",
    sbr = "SBR",
    pmr = "PMR",
    pgr = "PGR",
    plr = "PLR",
    rdr = "RDR",
    sdr = "SDR",
    wir = "WIR",
    wrr = "WRR",
    wcr = "WCR",
    pir = "PIR",
    prr = "PRR",
    tsr = "TSR",
    ptr = "PTR",
    mpr = "MPR",
    ftr = "FTR",
    bps = "BPS",
    eps = "EPS",
    gdr = "GDR",
    dtr = "DTR"
}
export declare const RecordCode: {
    0: {
        10: EnumRecordType;
        20: EnumRecordType;
    };
    1: {
        10: EnumRecordType;
        20: EnumRecordType;
        30: EnumRecordType;
        40: EnumRecordType;
        50: EnumRecordType;
        60: EnumRecordType;
        62: EnumRecordType;
        63: EnumRecordType;
        70: EnumRecordType;
        80: EnumRecordType;
    };
    2: {
        10: EnumRecordType;
        20: EnumRecordType;
        30: EnumRecordType;
    };
    5: {
        10: EnumRecordType;
        20: EnumRecordType;
    };
    10: {
        30: EnumRecordType;
    };
    15: {
        10: EnumRecordType;
        15: EnumRecordType;
        20: EnumRecordType;
    };
    20: {
        10: EnumRecordType;
        20: EnumRecordType;
    };
    50: {
        10: EnumRecordType;
        30: EnumRecordType;
    };
    180: string;
    181: string;
};
export declare const MAX_UINT32: number;
export declare const MIN_INT16: number;
export declare enum EnumPassFail {
    pass = "P",
    fail = "F",
    unknown = ""
}
export declare enum EnumEndian {
    little = 0,
    big = 1
}
