import { BufferReader } from '../buffer-reader';
import { StdfRecord } from '../stdf-record';
export declare enum EnumMprOptFlag {
    NO_RES_SCAL = 1,
    NO_START_IN = 2,
    NO_LOW_SPEC = 4,
    NO_HIGH_SPEC = 8,
    INVALID_LO_LIMIT = 16,
    INVALID_HI_LIMIT = 32,
    NO_LO_LIMIT = 64,
    NO_HI_LIMIT = 128
}
export declare enum EnumMPRTestFlag {
    ALARM = 1,
    RESERVED = 2,
    RESULT_UNRELIABLE = 4,
    TIMEOUT = 8,
    NOT_EXECUTED = 16,
    ABORTED = 32,
    PASS_INVALID = 64,
    FAILED = 128
}
export declare enum EnumMPRParamFlag {
    SCALE_ERROR = 1,
    DRIFT_ERROR = 2,
    OSCILLATION_DETECTED = 4,
    MEASURE_LOW = 16,
    TEST_PASS_ALT_LIMIT = 32,
    /** 当测试值等于下限时，认为PASS */
    PASS_LOW_EQUAL = 64,
    /** 当测试值等于上限时，认为PASS */
    PASS_HIGH_EQUAL = 128
}
export declare class MprRecord extends StdfRecord {
    testNum?: number;
    headNum?: number;
    siteNum?: number;
    testFlag?: number;
    paramFlag?: number;
    rtnCount?: number;
    resultCount?: number;
    rtnStats?: number[];
    rtnResults?: Array<number | undefined>;
    testTxt?: string;
    alarmId?: string;
    optFlag?: number;
    resScal?: number;
    llmScal?: number;
    hlmScal?: number;
    loLimit?: number;
    hiLimit?: number;
    startIn?: number;
    incrIn?: number;
    rtnIndex?: Array<number | undefined>;
    units?: string;
    unitsIn?: string;
    cResFormat?: string;
    cLLMFormat?: string;
    cHLMFormat?: string;
    loSpec?: number;
    hiSpec?: number;
    constructor(type: number, sub: number, br: BufferReader);
    get realLoLimit(): number | undefined;
    get realHiLimit(): number | undefined;
}
