"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WcrRecord = void 0;
const constants_1 = require("../constants");
const stdf_record_1 = require("../stdf-record");
class WcrRecord extends stdf_record_1.StdfRecord {
    waferSize;
    dieHeight;
    dieWidth;
    waferUnit;
    waferFlat;
    centerX;
    centerY;
    posX;
    posY;
    constructor(type, sub, br) {
        super(type, sub, br);
        this.waferSize = br.readFloat();
        this.dieHeight = br.readFloat();
        this.dieWidth = br.readFloat();
        this.waferUnit = br.readUInt8();
        this.waferFlat = br.readChar();
        let center;
        this.centerX = (center = br.readInt16()) === constants_1.MIN_INT16 ? undefined : center;
        this.centerY = (center = br.readInt16()) === constants_1.MIN_INT16 ? undefined : center;
        this.posX = br.readChar();
        this.posY = br.readChar();
    }
}
exports.WcrRecord = WcrRecord;
//# sourceMappingURL=wcr.record.js.map